if.hpp File Reference
`#include <msgpack/preprocessor/config/config.hpp>`
`#include <msgpack/preprocessor/control/iif.hpp>`
`#include <msgpack/preprocessor/logical/bool.hpp>`

Go to the source code of this file.

## Macros

#define | MSGPACK_PP_IF(cond, t, f) MSGPACK_PP_IF_I(cond, t, f)
#define | MSGPACK_PP_IF_I(cond, t, f) MSGPACK_PP_IIF(MSGPACK_PP_BOOL(cond), t, f)

## Macro Definition Documentation

## MSGPACK_PP_IF

#define MSGPACK_PP_IF | ( |  | cond,
|  |  | t,
|  |  | f
| ) |  | MSGPACK_PP_IF_I(cond, t, f)

## MSGPACK_PP_IF_I

#define MSGPACK_PP_IF_I | ( |  | cond,
|  |  | t,
|  |  | f
| ) |  | MSGPACK_PP_IIF(MSGPACK_PP_BOOL(cond), t, f)